GBR3(1)

NAME
gbr3 - GAMBAS Interpreter

SYNOPSIS
gbr3 [options] <executable file> [<arguments>]

DESCRIPTION
Gambas is a free development environment based on a Basic interpreter with object extensions, a mix of Java(tm) and Visual Basic(tm). With Gambas, you can quickly design your program GUI with Qt or GTK+, access database systems like MySQL, PostgreSQL, SQlite or ODBC databases, pilot applications with DBus, translate your program into many languages, create GStreamer, OpenGL or SDL applications, and so on... gbr3 is the interpreter that allows you to execute a Gambas executable.

OPTIONS

-a <path>
    override application path

-g  enter debugging mode

-h, --help
    display help and exit

-H, --httpd
    run through an embedded http server

-j  disable just-in-time compiler

-k  do not unload shared libraries

-L, --license
    display license

-p <path>
    activate profiling and debugging mode

-r <path>
    redirect standard error output

-s <class>
    override startup class

-t, --trace
    dump the position of each executed line of code

-T  list all test modules

-T <tests>
    run the specified test modules

-V, --version
    display version

AVAILABILITY
The latest version of Gambas can always be obtained from gambas.sourceforge.net, documentation about the language is at www.gambasdoc.org.

REPORTING BUGS
Report bugs to http://gambaswiki.org/bugtracker

COPYRIGHT
Copyright© 2002, 2013 Benoît Minisini <benoit.minisini@gambas-basic.org>;

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.